# version: '3.8'

services:

  appseed-app:
    container_name: garmindb-mtb-dashboard
    restart: always
    environment:
      - FLASK_APP:garmindb-mtb-dashboard
    build: .
    volumes:
      - ./GarminDB:/root/.GarminDb
      - ./HealthData:/root/HealthData
    networks:
      - db_network
      - proxy

  nginx:
    container_name: nginx
    restart: always
    image: "nginx:latest"
    ports:
      - "5085:5085"
    volumes:
      - ./nginx:/etc/nginx/conf.d
    networks:
      - proxy
    depends_on: 
      - appseed-app
      
networks:
  db_network:
    driver: bridge
  proxy:
    driver: bridge
 
